package com.steering.pss.judge.model;

/**
 * 数据库表QCM_ZBS_DETECT_RESULT所对应的实体类（生成工具：代码生成器3.0）
 * @author DESKTOP-1M51SAA   date 2019-01-03
 */
@SuppressWarnings("serial")
public class QcmZbsDetectResultEntity implements java.io.Serializable {
    /**
     * 质保书ID
     */
    private String zbsId = "";
    /**
     * 质保书序号
     */
    private String zbsSeq = "";
    /**
     * 工序代码
     */
    private String processCode = "";
    /**
     * 分组索引号(同一分组的为多选一项)
     */
    private String groupSeq = "";
    /**
     * 材质检验项代码
     */
    private String phyCode = "";
    /**
     * 材质检验项名称
     */
    private String phyName = "";
    /**
     * 探伤位置代码(4020)
     */
    private String positionCode = "";
    /**
     * 探伤位置描述
     */
    private String positionDesc = "";
    /**
     * 探伤参考标准(4021)
     */
    private String stdDesc = "";
    /**
     * 探伤级别代码(4022)
     */
    private String lvCode = "";
    /**
     * 刻槽位置(4023)
     */
    private String groovePos = "";
    /**
     * 刻槽方向(4024)
     */
    private String grooveDir = "";
    /**
     * 探伤级别描述
     */
    private String lvDesc = "";
    /**
     * 探伤覆盖率(%)
     */
    private String coverage = "";
    /**
     * 探伤频率代码(4011)(按比例、逐支)
     */
    private String rate = "";
    /**
     * 探伤频率描述
     */
    private String descRate = "";
    /**
     * 频率值（按比例，具体百分比）
     */
    private String descVal = "";
    private String dic = "";

    

	/**
     * 质保书ID
     * @return value
     */
    public String getZbsId() {
        return zbsId;
    }

    /**
     * 质保书ID
     * @param zbsId value
     */
    public void setZbsId(String zbsId) {
        this.zbsId = zbsId;
    }

    /**
     * 质保书序号
     * @return value
     */
    public String getZbsSeq() {
        return zbsSeq;
    }

    /**
     * 质保书序号
     * @param zbsSeq value
     */
    public void setZbsSeq(String zbsSeq) {
        this.zbsSeq = zbsSeq;
    }

    /**
     * 工序代码
     * @return value
     */
    public String getProcessCode() {
        return processCode;
    }

    /**
     * 工序代码
     * @param processCode value
     */
    public void setProcessCode(String processCode) {
        this.processCode = processCode;
    }

    /**
     * 分组索引号(同一分组的为多选一项)
     * @return value
     */
    public String getGroupSeq() {
        return groupSeq;
    }

    /**
     * 分组索引号(同一分组的为多选一项)
     * @param groupSeq value
     */
    public void setGroupSeq(String groupSeq) {
        this.groupSeq = groupSeq;
    }

    /**
     * 材质检验项代码
     * @return value
     */
    public String getPhyCode() {
        return phyCode;
    }

    /**
     * 材质检验项代码
     * @param phyCode value
     */
    public void setPhyCode(String phyCode) {
        this.phyCode = phyCode;
    }

    /**
     * 材质检验项名称
     * @return value
     */
    public String getPhyName() {
        return phyName;
    }

    /**
     * 材质检验项名称
     * @param phyName value
     */
    public void setPhyName(String phyName) {
        this.phyName = phyName;
    }

    /**
     * 探伤位置代码(4020)
     * @return value
     */
    public String getPositionCode() {
        return positionCode;
    }

    /**
     * 探伤位置代码(4020)
     * @param positionCode value
     */
    public void setPositionCode(String positionCode) {
        this.positionCode = positionCode;
    }

    /**
     * 探伤位置描述
     * @return value
     */
    public String getPositionDesc() {
        return positionDesc;
    }

    /**
     * 探伤位置描述
     * @param positionDesc value
     */
    public void setPositionDesc(String positionDesc) {
        this.positionDesc = positionDesc;
    }

    /**
     * 探伤参考标准(4021)
     * @return value
     */
    public String getStdDesc() {
        return stdDesc;
    }

    /**
     * 探伤参考标准(4021)
     * @param stdDesc value
     */
    public void setStdDesc(String stdDesc) {
        this.stdDesc = stdDesc;
    }

    /**
     * 探伤级别代码(4022)
     * @return value
     */
    public String getLvCode() {
        return lvCode;
    }

    /**
     * 探伤级别代码(4022)
     * @param lvCode value
     */
    public void setLvCode(String lvCode) {
        this.lvCode = lvCode;
    }

    /**
     * 刻槽位置(4023)
     * @return value
     */
    public String getGroovePos() {
        return groovePos;
    }

    /**
     * 刻槽位置(4023)
     * @param groovePos value
     */
    public void setGroovePos(String groovePos) {
        this.groovePos = groovePos;
    }

    /**
     * 刻槽方向(4024)
     * @return value
     */
    public String getGrooveDir() {
        return grooveDir;
    }

    /**
     * 刻槽方向(4024)
     * @param grooveDir value
     */
    public void setGrooveDir(String grooveDir) {
        this.grooveDir = grooveDir;
    }

    /**
     * 探伤级别描述
     * @return value
     */
    public String getLvDesc() {
        return lvDesc;
    }

    /**
     * 探伤级别描述
     * @param lvDesc value
     */
    public void setLvDesc(String lvDesc) {
        this.lvDesc = lvDesc;
    }

    /**
     * 探伤覆盖率(%)
     * @return value
     */
    public String getCoverage() {
        return coverage;
    }

    /**
     * 探伤覆盖率(%)
     * @param coverage value
     */
    public void setCoverage(String coverage) {
        this.coverage = coverage;
    }

    /**
     * 探伤频率代码(4011)(按比例、逐支)
     * @return value
     */
    public String getRate() {
        return rate;
    }

    /**
     * 探伤频率代码(4011)(按比例、逐支)
     * @param rate value
     */
    public void setRate(String rate) {
        this.rate = rate;
    }

    /**
     * 探伤频率描述
     * @return value
     */
    public String getDescRate() {
        return descRate;
    }

    /**
     * 探伤频率描述
     * @param descRate value
     */
    public void setDescRate(String descRate) {
        this.descRate = descRate;
    }

    /**
     * 频率值（按比例，具体百分比）
     * @return value
     */
    public String getDescVal() {
        return descVal;
    }

    /**
     * 频率值（按比例，具体百分比）
     * @param descVal value
     */
    public void setDescVal(String descVal) {
        this.descVal = descVal;
    }
    
    public String getDic() {
		return dic;
	}

	public void setDic(String dic) {
		this.dic = dic;
	}
}
